# Jobs

### Fields

| Field              | Type                                                          | Description                                   |
| ------------------ | ------------------------------------------------------------- | --------------------------------------------- |
| city               | String                                                        | City                                          |
| country            | String                                                        | Country code                                  |
| createdAt          | String                                                        | ISO 8601 formatted *DateTime* job was created |
| description        | String                                                        | Description of the job                        |
| naicsCode          | String                                                        | NAICS code                                    |
| naicsDescription   | String                                                        | NAICS sector description                      |
| onetOccupationCode | String                                                        | ONET code                                     |
| onetOccupationName | String                                                        | ONET occupation name                          |
| region             | String                                                        | Region                                        |
| title              | String                                                        | Job Title                                     |
| uid                | [String](/company-data-api/graphql-objects/string-object.md)! | Internal job ID                               |
| updatedAt          | String                                                        | ISO 8601 formatted *DateTime* job was updated |
| zipCode            | String                                                        | Zip Code                                      |

### Arguments

`first` – Number of jobs to retrieve, should not exceed 100

`offset` – Offset in the list

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        jobsCount
        jobs(first: 10, offset: 100) {
            city
            country
            createdAt
            description
            naicsCode
            naicsDescription
            onetOccupationCode
            onetOccupationName
            region
            title
            uid
            updatedAt
            zipCode
        }
    }
}


# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/human-capital/untitled-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
